package be.jeffcheasey88.todo;

import org.jose4j.jwt.JwtClaims;

public class User extends dev.peerat.framework.User{
	
	private String name;
	
	public User(String name){
		this.name = name;
	}
	
	public User(JwtClaims claims){
		this.name = claims.getClaimValueAsString("name");
	}
	
	public String getName(){
		return this.name;
	}

	@Override
	public void write(JwtClaims claims){
		claims.setClaim("name", this.name);
	}

}
