package be.jeffcheasey88.todo.model;

import dev.peerat.framework.utils.json.JsonMap;

public class TaskModifier implements JsonSerializable{
	
	private String state;
	
	private String title;
	private String description;
	
	public TaskModifier(){}
	
	public TaskModifier(JsonMap json){
		this();
		this.state = json.get("state");
		
		this.title = json.get("title");
		this.description = json.get("description");
	}
	
	@Override
	public void serialize(JsonMap json){
		json.set("state", state);
		
		json.set("title", title);
		json.set("description", description);
	}
	
	public void setState(String state){
		this.state = state;
	}

	public String getTitle(){
		return this.title;
	}
	
	public void setTitle(String title){
		this.title = title;
	}
	
	public String getDescription(){
		return this.description;
	}
	
	public void setDescription(String description){
		this.description = description;
	}
}
