package be.jeffcheasey88.todo.model;

import org.jose4j.jwt.JwtClaims;

import dev.peerat.framework.User;

public class UserWorker extends User{

	private String username;
	
	public UserWorker(String username){
		this.username = username;
	}
	
	public UserWorker(JwtClaims claims){
		this.username = claims.getClaimValueAsString("username");
	}
	
	public String getUsername(){
		return this.username;
	}
	
	@Override
	public void write(JwtClaims claims){
		claims.setClaim("username", claims);
	}

	
	
}
